Bug 113565 - bogl needs to be -fPIC for ppc, else anaconda linking segfaults
bogl needs to be -fPIC for ppc, else anaconda linking segfaults
Status: CLOSED RAWHIDE
Product: Red Hat Raw Hide
Classification: Retired
Component: bogl (Show other bugs)
1.0
powerpc Linux
medium Severity medium
: ---
: ---
Assigned To: Matt Wilson
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-01-15 08:41 EST by Paul Nasrat
Modified: 2007-04-18 13:01 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-03-07 07:23:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Paul Nasrat 2004-01-15 08:41:32 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1)
Gecko/20031114

Description of problem:
Building anaconda on ppc32 FC2 link segfaults:

strace revealed that it was whilst linking libwlite.a.

Looking at the bogl source and patches I noticed a fpic patch for
various non x86 archs, adding ppc to this patch and installing fixes
this for me.

[pauln@imac anaconda-9.3]$ rpm -q binutils gcc
binutils-2.14.90.0.7-1
gcc-3.3.2-5


Version-Release number of selected component (if applicable):
bogl-0.1.9-28

How reproducible:
Always

Steps to Reproduce:
1. on fc2/rawhide on ppc
2. ulimit -c unlimited
3. rpmbuild -ba anaconda.spec

    

Actual Results:  segfault dumps core:

#0  0x0ff6f1b4 in ppc_elf_relocate_section (output_bfd=0x1009d4b0,
info=0x100920c8,
    input_bfd=0x102b6478, input_section=0x102c7bb8,
contents=0x10482e38 "�#", relocs=0x0,
    local_syms=0x104a7d28, local_sections=0x104a8f10) at
../../bfd/elf32-ppc.c:5423
#1  0x0ff6f128 in ppc_elf_relocate_section (output_bfd=0x1009d4b0,
info=0x100920c8,
    input_bfd=0x102b6478, input_section=0x102c7bb8,
contents=0x10482e38 "�#", relocs=0x0,
    local_syms=0x104a7d28, local_sections=0x104a8f10) at
../../bfd/elf32-ppc.c:5390
#2  0x0ff7a92c in bfd_elf32_bfd_final_link (abfd=0x1, info=0x6) at
elflink.h:3595
#3  0x10016954 in ldwrite () at ../../ld/ldwrite.c:565
#4  0x10013bb0 in main (argc=271346240, argv=0x102c7e10) at
../../ld/ldmain.c:474
#5  0x0fdc33d4 in __libc_start_main () from /lib/libc.so.6
(gdb)



Expected Results:  link succeeds

Additional info:
Comment 1 Alex Kiernan 2004-01-16 02:18:30 EST
Upgrading to binutils 2.14.90.0.8 (from upstream, not RawHide) fixes 
the segfault without needing to touch bogl.
Comment 2 Paul Nasrat 2004-03-07 07:23:38 EST
Fixed in rawhide too.

bogl-0.1.9-31
binutils-2.14.90.0.8-8
gcc-3.3.3-2

Note You need to log in before you can comment on or make changes to this bug.